### Function

# Gimp palette_rename

since: 2.2

#### Declaration [src]

    gchar*
    gimp_palette_rename (
      const gchar* name,
      const gchar* new_name
    )

#### Description [src]

Rename a palette

This procedure renames a palette.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The palette name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`new_name`

  Type: `const gchar*`

  The new name of the palette.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The actual new name of the palette. The returned value must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.